require 'pathname'

module UserAgentDB
  class Cli
    # @return [String]
    def random
      `#{mac} 2>/dev/null || #{ubuntu}`.chomp
    end

    private

    def ubuntu
      "shuf -n 1 #{db_path}"
    end

    def mac
      "gshuf -n 1 #{db_path}"
    end

    def db_path
      Pathname.new(File.dirname(__FILE__)).join('db.txt')
    end
  end
end
